diff --git a/modules/features/chatbot/mainChatbot.py b/modules/features/chatbot/mainChatbot.py
index 8bcc73ce..1428ef41 100644
--- a/modules/features/chatbot/mainChatbot.py
+++ b/modules/features/chatbot/mainChatbot.py
@@ -594,403 +586,138 @@ async def _processChatbotMessage(
                 elif msg.role == "assistant":
                     context += f"Assistant: {msg.message}\n"
         
-        # Ensure AI service is initialized
         await services.ai.ensureAiObjectsInitialized()
-        
-        # Get current date for prompts
         current_date = datetime.datetime.now().strftime("%d.%m.%Y")
         
-        # Check if workflow was stopped before starting analysis
         if await _check_workflow_status(interfaceDbChat, workflowId, event_manager):
             return
         
-        # Step 1: AI Analysis - create detailed plan for all database queries needed
-        logger.info("Step 1: Analyzing user input and creating query plan...")
+        # Step 1: Unified Analysis
+        logger.info("Step 1: Analyzing user input and attached files...")
+        await event_manager.emit_event(workflowId, "status", "Analysiere Benutzeranfrage und angehängte Dateien...", "analysis")
         
-        await event_manager.emit_event(
-            workflowId,
-            "status",
-            "Analysiere Benutzeranfrage und erstelle Abfrageplan...",
-            "analysis"
-        )
+        # Prepare document references if files are attached
+        has_uploaded_files = bool(userInput.listFileId and len(userInput.listFileId) > 0)
+        document_references = None
+        
+        if has_uploaded_files:
+            workflow = interfaceDbChat.getWorkflow(workflowId)
+            if workflow:
+                services.workflow = workflow
+            document_references = await _convert_file_ids_to_document_references(services, userInput.listFileId)
+            logger.info(f"Prepared {len(document_references.references)} document references for analysis")
+        
+        # Build analysis prompt
+        file_context = "\n\nIMPORTANT - ATTACHED FILES:\nIf files are attached, read them completely. For Excel files, extract ALL article identifiers (Artikelnummer) from the file and include them directly in the SQL query using WHERE Artikelnummer IN ('ART1', 'ART2', ...). DO NOT reference ExcelFile table - it doesn't exist!\n" if has_uploaded_files else ""
         
         analysisPrompt = f"""Heute ist der {current_date}.
 
-Du bist ein Chatbot der Althaus AG.
-Du hast Zugriff auf ein SQL query tool, dass es dir ermöglicht, SQL SELECT Abfragen auf der Althaus AG Datenbank auszuführen.
+Du bist ein Chatbot der Althaus AG mit Zugriff auf eine SQL-Datenbank.
 
-Du kannst dem Nutzer bei allen Aufgaben helfen, die du mit SQL Abfragen erledigen kannst.
-
-DATENBANK-INFORMATIONEN:
-- Datenbankdatei: /data/database.db (SQLite)
-- Tabellen: Artikel, Einkaufspreis, Lagerplatz_Artikel
-
-Die Datenbank besteht aus drei Tabellen, die über Beziehungen verbunden sind:
-- **Artikel**: Enthält alle Produktinformationen (I_ID, Artikelbezeichnung, Artikelnummer, etc.)
-- **Einkaufspreis**: Enthält Preisdaten (m_Artikel, EP_CHF)
-- **Lagerplatz_Artikel**: Enthält Lagerbestands- und Lagerplatzinformationen (R_ARTIKEL, R_LAGERPLATZ, S_IST_BESTAND, etc.)
-- **Beziehungen**: 
-  - Artikel.I_ID = Einkaufspreis.m_Artikel
-  - Artikel.I_ID = Lagerplatz_Artikel.R_ARTIKEL
-
-TABELLEN-SCHEMA (WICHTIG - Spalten mit Leerzeichen/Sonderzeichen IMMER in doppelte Anführungszeichen setzen):
-
-Tabelle 1: Artikel
-CREATE TABLE Artikel (
-  "I_ID" INTEGER PRIMARY KEY,
-  "Artikelbeschrieb" TEXT,
-  "Artikelbezeichnung" TEXT,
-  "Artikelgruppe" TEXT,
-  "Artikelkategorie" TEXT,
-  "Artikelkürzel" TEXT,
-  "Artikelnummer" TEXT,
-  "Einheit" TEXT,
-  "Gesperrt" TEXT,
-  "Keywords" TEXT,
-  "Lieferant" TEXT,
-  "Warengruppe" TEXT
-)
-
-Tabelle 2: Einkaufspreis
-CREATE TABLE Einkaufspreis (
-  "m_Artikel" INTEGER,
-  "EP_CHF" FLOAT
-)
-
-Tabelle 3: Lagerplatz_Artikel
-CREATE TABLE Lagerplatz_Artikel (
-  "R_ARTIKEL" INTEGER,
-  "R_LAGERPLATZ" TEXT,
-  "S_BESTELLTER_BESTAND" INTEGER,
-  "S_IST_BESTAND" TEXT,
-  "S_MAXIMALBESTAND" INTEGER,
-  "S_MINDESTBESTAND" INTEGER,
-  "S_RESERVIERTER_BESTAND" INTEGER,
-  "S_SOLL_BESTAND" INTEGER
-)
+DATENBANK-SCHEMA:
+- Artikel: I_ID, Artikelnummer, Artikelbezeichnung, Lieferant, etc.
+- Einkaufspreis: m_Artikel, EP_CHF
+- Lagerplatz_Artikel: R_ARTIKEL, S_IST_BESTAND, etc.
+- Beziehungen: Artikel.I_ID = Einkaufspreis.m_Artikel = Lagerplatz_Artikel.R_ARTIKEL
 
 SQL-HINWEISE:
-- Verwende IMMER doppelte Anführungszeichen für Spaltennamen: "Artikelkürzel", "Artikelnummer", etc.
-- Für Textsuche verwende LIKE mit Wildcards: WHERE a."Artikelbezeichnung" LIKE '%suchbegriff%'
-- Für Preisabfragen: Nutze JOINs um auf e."EP_CHF" zuzugreifen
-- Für Lagerbestände: Nutze JOINs um auf l."S_IST_BESTAND", l."S_SOLL_BESTAND", etc. zuzugreifen
-- WICHTIG bei S_IST_BESTAND: Dieser Wert kann "Unbekannt" sein (TEXT), nicht nur Zahlen! Prüfe mit WHERE l."S_IST_BESTAND" != 'Unbekannt' wenn du nur numerische Werte willst
-- Verwende Tabellenaliase (a für Artikel, e für Einkaufspreis, l für Lagerplatz_Artikel) für bessere Lesbarkeit
+- IMMER doppelte Anführungszeichen für Spaltennamen: "Artikelnummer", "S_IST_BESTAND"
+- S_IST_BESTAND kann "Unbekannt" sein (TEXT), prüfe mit WHERE l."S_IST_BESTAND" != 'Unbekannt'
+- Verwende Tabellenaliase: a für Artikel, e für Einkaufspreis, l für Lagerplatz_Artikel
+- WICHTIG: Wenn Excel-Dateien angehängt sind, extrahiere Artikelnummern aus der Datei und verwende sie direkt im SQL: WHERE a."Artikelnummer" IN ('ART1', 'ART2', 'ART3')
+- VERBOTEN: Verwende NICHT "SELECT ... FROM ExcelFile" - diese Tabelle existiert nicht!
 
-SQL-AGGREGATIONEN:
-Du kannst SQL-Aggregationsfunktionen verwenden, um statistische Auswertungen und Zusammenfassungen zu erstellen:
-- COUNT() - Anzahl zählen
-- SUM() - Summe berechnen (z.B. SUM(CASE WHEN l."S_IST_BESTAND" != 'Unbekannt' THEN CAST(l."S_IST_BESTAND" AS INTEGER) ELSE 0 END))
-- AVG() - Durchschnitt
-- MIN() / MAX() - Minimum/Maximum
-- GROUP BY - Gruppierung
+{file_context}User question: {userInput.prompt}{context}
 
-STREAMING-UPDATES:
-WICHTIG: Du kannst mehrere Tools parallel aufrufen! Wenn es sinnvoll ist, kannst du:
-- Mehrere SQL-Abfragen gleichzeitig ausführen (z.B. verschiedene Suchkriterien parallel abfragen)
-- SQL-Abfragen und Tavily-Suchen kombinieren (z.B. Artikel in der DB finden UND gleichzeitig im Internet nach Produktinformationen suchen)
-- Verschiedene Analysen parallel durchführen
-
-Nutze diese Parallelisierung, um effizienter zu arbeiten und dem Nutzer schneller umfassende Antworten zu geben.
-
-Du hast Zugriff auf das Tool "send_streaming_message", mit dem du dem Nutzer kurze Status-Updates senden kannst, während du an seiner Anfrage arbeitest. Nutze dieses Tool, um den Nutzer über deine aktuellen Aktivitäten zu informieren. Du kannst es parallel zu anderen Tools aufrufen.
-
-Beispiele für Status-Updates:
-- "Analysiere Benutzeranfrage..."
-- "Bestimme benötigte Datenbankabfragen..."
-- "Identifiziere relevante Suchbegriffe..."
-- "Erstelle Abfrageplan mit allen benötigten Queries..."
-- "Durchsuche Datenbank nach Lampen, LED, Leuchten, und Ähnlichem.."
-- "Suche im Internet nach Produktinformationen zu [Produktname].."
-- "Analysiere Suchergebnisse und bereite Antwort vor.."
-- "Führe erweiterte Datenbankabfrage durch.."
-
-Sende diese Updates sehr sehr häufig, damit der Nutzer weiss, was du gerade machst. Es ist ganz wichtig, dass du den Nutzer so oft es geht auf dem Laufenden hältst.
-Die Beispiele oben sind nur Beispiele. Wenn möglich, sei spezifischer und kreativer, damit der Nutzer genau weiss, was du gerade tust.
-Falls es möglich ist, gib in den Status-Updates auch schon Zwischenergebnisse an, z.B. "Habe 20 Artikel gefunden, suche weiter nach ähnlichen Begriffen".
-Du kannst auch gerne deinen Denkenprozess in den Status-Updates beschreiben, z.B. "Überlege, welche Suchbegriffe ich noch verwenden könnte".
-Es ist super wichtig, dass wir dem Nutzer laufend Updates geben, damit er nicht das Gefühl hat, dass er zu lange warten muss.
-Wichtig: Sende auch eine Status-Update, wenn du die Zusammenfassende Antwort an den Nutzer schreibst, z.B. "Formuliere finale Antwort mit übersichtlicher Tabelle..".
-
-Analyze the user's question: {userInput.prompt}{context}
-
-Determine what actions are needed to answer this question. Return ONLY a valid JSON object:
+Return ONLY valid JSON:
 {{
   "needsDatabaseQuery": boolean,
   "needsWebResearch": boolean,
-  "sqlQuery": string (if needsDatabaseQuery is true, generate the SQL query with correct column names using double quotes),
-  "reasoning": string,
-  "streamingMessages": array of strings (status updates to send to user via send_streaming_message tool, e.g. ["Analysiere Benutzeranfrage...", "Bestimme benötigte Datenbankabfragen..."])
-}}
-
-WICHTIG für SQL-Queries:
-- Verwende IMMER doppelte Anführungszeichen für Spaltennamen
-- Für Lagerbestand: Verwende l."S_IST_BESTAND" (NICHT "Bestände"!)
-- Bei Aggregationen mit S_IST_BESTAND: SUM(CASE WHEN l."S_IST_BESTAND" != 'Unbekannt' THEN CAST(l."S_IST_BESTAND" AS INTEGER) ELSE 0 END)
-
-Only use SELECT queries for database. Return valid JSON only."""
-
-        analysisRequest = AiCallRequest(
-            prompt=analysisPrompt,
-            options=AiCallOptions(
-                resultFormat="json",
-                operationType=OperationTypeEnum.DATA_ANALYSE,
-                processingMode=ProcessingModeEnum.BASIC
-            )
-        )
+  "needsExcelFile": boolean,
+  "excelAction": "create" | "update" | null,
+  "excelFileName": string | null,
+  "sqlQuery": string (ready-to-execute SQL with double quotes for column names. If Excel file attached, extract Artikelnummern and use WHERE a."Artikelnummer" IN ('ART1', 'ART2', ...)),
+  "requestedColumns": array of strings (columns to add for Excel updates, e.g. ["Lieferant", "Lagerbestand"]),
+  "reasoning": string
+}}"""
         
-        analysisResponse = await services.ai.callAi(analysisRequest)
+        # Single AI call for analysis
+        method_ai = MethodAi(services)
+        analysis_result = await method_ai.process({
+            "aiPrompt": analysisPrompt,
+            "documentList": document_references if has_uploaded_files else None,
+            "resultType": "json",
+            "simpleMode": True
+        })
         
-        # Log raw response for debugging
-        logger.debug(f"Raw AI analysis response: {analysisResponse.content[:500]}")
+        # Extract content from ActionResult (in simple mode, content is in first document's documentData)
+        analysis_content = None
+        if analysis_result.success and analysis_result.documents:
+            analysis_content = analysis_result.documents[0].documentData
+            if isinstance(analysis_content, bytes):
+                analysis_content = analysis_content.decode('utf-8')
         
-        # Parse analysis result with improved JSON extraction
-        analysis = _extractJsonFromResponse(analysisResponse.content)
-        
-        # Process streaming messages from AI (create logs)
-        process_streaming_messages(analysis, progress=0.1)
-        
-        if analysis:
-            needsDatabaseQuery = analysis.get("needsDatabaseQuery", False)
-            needsWebResearch = analysis.get("needsWebResearch", False)
-            queryPlan = analysis.get("queryPlan", {})
-            reasoning = analysis.get("reasoning", "")
+        if not analysis_content:
+            logger.warning("Analysis failed, using fallback")
+            analysis = {}
         else:
-            # JSON parsing failed - fallback
-            logger.warning("Failed to parse analysis JSON, using fallback")
-            question_lower = userInput.prompt.lower()
-            db_keywords = ["stock", "lager", "bestand", "artikel", "preis", "price", "wie viele", "how many"]
-            needsDatabaseQuery = any(keyword in question_lower for keyword in db_keywords)
-            needsWebResearch = False
-            queryPlan = {}
-            reasoning = "Failed to parse analysis"
+            analysis = _extractJsonFromResponse(analysis_content)
         
-        logger.info(f"Analysis result: DB={needsDatabaseQuery}, Web={needsWebResearch}, Plan keys={list(queryPlan.keys()) if queryPlan else 'None'}...")
+        # Extract analysis results
+        needsDatabaseQuery = analysis.get("needsDatabaseQuery", False) if analysis else False
+        needsWebResearch = analysis.get("needsWebResearch", False) if analysis else False
+        needsExcelFile = analysis.get("needsExcelFile", False) if analysis else False
+        excelAction = analysis.get("excelAction")
+        excelFileName = analysis.get("excelFileName")
+        sql_query = analysis.get("sqlQuery", "")
+        requested_columns = analysis.get("requestedColumns", [])
         
-        await event_manager.emit_event(
-            workflowId,
-            "progress",
-            f"Analyse abgeschlossen: {len(queryPlan.keys()) if queryPlan else 0} Abfrage-Kategorien identifiziert",
-            "analysis",
-            {"needsDatabaseQuery": needsDatabaseQuery, "needsWebResearch": needsWebResearch}
-        )
+        # Ensure database query if Excel update is needed
+        if needsExcelFile and excelAction == "update" and not needsDatabaseQuery:
+            needsDatabaseQuery = True
+        
+        logger.info(f"Analysis: DB={needsDatabaseQuery}, Excel={needsExcelFile}, SQL={'present' if sql_query else 'missing'}")
         
-        # Check if workflow was stopped after analysis
         if await _check_workflow_status(interfaceDbChat, workflowId, event_manager):
             return
         
-        # Step 2: Generate all SQL queries based on the plan
-        allQueries = {}  # Store all queries to execute
-        queryResults = {}  # Store results from all queries
+        # Step 2: Execute SQL Query
+        queryResults = {}
+        queryData = {}
+        excel_documents = []
         
-        if needsDatabaseQuery and queryPlan:
-            logger.info("Step 2: Generating all SQL queries from plan...")
+        if needsDatabaseQuery and sql_query:
+            logger.info("Step 2: Executing SQL query...")
+            await event_manager.emit_event(workflowId, "status", "Führe Datenbankabfrage aus...", "query_execution")
             
-            # Store log: Query generation started
-            services.chat.storeLog(workflow, {
-                "message": "Generiere alle SQL-Abfragen basierend auf dem Plan...",
-                "type": "info",
-                "status": "running",
-                "progress": 0.3
-            })
-            
-            await event_manager.emit_event(
-                workflowId,
-                "status",
-                "Generiere alle SQL-Abfragen basierend auf dem Plan...",
-                "query_generation"
-            )
-            
-            # Build query generation prompt
-            query_generation_prompt = f"""Based on this query plan: {json.dumps(queryPlan, indent=2, ensure_ascii=False)}
-
-And the user question: {userInput.prompt}{context}
-
-Generate ALL SQL queries needed. Return ONLY a valid JSON object with all queries:
-{{
-  "mainQuery": "SQL query for main query",
-  "statisticsQueries": {{
-    "query1": "SQL query description and SQL",
-    "query2": "SQL query description and SQL"
-  }},
-  "supplierQueries": {{
-    "query1": "SQL query description and SQL"
-  }},
-  "articleQueries": {{
-    "query1": "SQL query description and SQL"
-  }},
-  "additionalQueries": {{
-    "query1": "SQL query description and SQL"
-  }},
-  "streamingMessages": ["array of status updates via send_streaming_message tool"]
-}}
-
-STREAMING-UPDATES:
-Während du die Queries generierst, denke an hilfreiche Status-Updates:
-- "Generiere Hauptabfrage..."
-- "Erstelle Statistik-Abfragen..."
-- "Vorbereite Lieferanten-Analyse-Abfrage..."
-- "Erstelle Top-20-Artikel-Abfrage..."
-- "Generiere zusätzliche relevante Abfragen..."
-
-IMPORTANT:
-- Use double quotes for all column names
-- For stock calculations: Use SUM(CASE WHEN l."S_IST_BESTAND" != 'Unbekannt' THEN CAST(l."S_IST_BESTAND" AS INTEGER) ELSE 0 END)
-- For top articles: ORDER BY CAST(l."S_IST_BESTAND" AS INTEGER) DESC LIMIT 20
-- Extract search terms from user question (e.g., "LED", "Lampe", etc.) and use in WHERE clauses
-- All queries should use consistent search criteria
-
-Return ONLY valid JSON, no other text."""
-
-            query_generation_request = AiCallRequest(
-                prompt=query_generation_prompt,
-                options=AiCallOptions(
-                    resultFormat="json",
-                    operationType=OperationTypeEnum.DATA_ANALYSE,
-                    processingMode=ProcessingModeEnum.BASIC
-                )
-            )
-            
-            query_generation_response = await services.ai.callAi(query_generation_request)
-            queries_data = _extractJsonFromResponse(query_generation_response.content)
-            
-            # Process streaming messages from AI (create logs)
-            process_streaming_messages(queries_data, progress=0.3)
-            
-            if queries_data:
-                # Collect all queries
-                if queries_data.get("mainQuery"):
-                    allQueries["main"] = queries_data["mainQuery"]
-                
-                # Collect statistics queries
-                if queries_data.get("statisticsQueries"):
-                    for key, value in queries_data["statisticsQueries"].items():
-                        if isinstance(value, str):
-                            allQueries[f"stat_{key}"] = value
-                        elif isinstance(value, dict) and "sql" in value:
-                            allQueries[f"stat_{key}"] = value["sql"]
-                
-                # Collect supplier queries
-                if queries_data.get("supplierQueries"):
-                    for key, value in queries_data["supplierQueries"].items():
-                        if isinstance(value, str):
-                            allQueries[f"supplier_{key}"] = value
-                        elif isinstance(value, dict) and "sql" in value:
-                            allQueries[f"supplier_{key}"] = value["sql"]
-                
-                # Collect article queries
-                if queries_data.get("articleQueries"):
-                    for key, value in queries_data["articleQueries"].items():
-                        if isinstance(value, str):
-                            allQueries[f"article_{key}"] = value
-                        elif isinstance(value, dict) and "sql" in value:
-                            allQueries[f"article_{key}"] = value["sql"]
-                
-                # Collect additional queries
-                if queries_data.get("additionalQueries"):
-                    for key, value in queries_data["additionalQueries"].items():
-                        if isinstance(value, str):
-                            allQueries[f"additional_{key}"] = value
-                        elif isinstance(value, dict) and "sql" in value:
-                            allQueries[f"additional_{key}"] = value["sql"]
-                
-                logger.info(f"Generated {len(allQueries)} queries from plan")
-                
-                await event_manager.emit_event(
-                    workflowId,
-                    "progress",
-                    f"{len(allQueries)} SQL-Abfragen erfolgreich generiert",
-                    "query_generation",
-                    {"queryCount": len(allQueries), "queries": list(allQueries.keys())}
-                )
-            else:
-                logger.warning("Failed to generate queries from plan")
-                
-                await event_manager.emit_event(
-                    workflowId,
-                    "error",
-                    "Fehler beim Generieren der SQL-Abfragen",
-                    "query_generation"
-                )
-        
-        # Check if workflow was stopped before query execution
-        if await _check_workflow_status(interfaceDbChat, workflowId, event_manager):
-            return
-        
-        # Step 3: Execute all queries in parallel
-        if allQueries:
-            logger.info(f"Step 3: Executing {len(allQueries)} queries in parallel...")
-            
-            await event_manager.emit_event(
-                workflowId,
-                "status",
-                f"Führe {len(allQueries)} Datenbankabfragen parallel aus...",
-                "query_execution"
-            )
             try:
                 connector = PreprocessorConnector()
-                
-                async def execute_query(query_key, query_sql):
-                    """Execute a single query and return result."""
-                    try:
-                        result = await connector.executeQuery(query_sql)
-                        if not result.startswith(("Error:", "Query failed:", "Network error:", "API error:")):
-                            return (query_key, result)
-                        else:
-                            logger.warning(f"{query_key} query returned error: {result[:100]}")
-                            return (query_key, None)
-                    except Exception as e:
-                        logger.warning(f"{query_key} query failed: {e}")
-                        return (query_key, None)
-                
-                # Execute all queries in parallel
-                tasks = [execute_query(key, sql) for key, sql in allQueries.items()]
-                results = await asyncio.gather(*tasks)
-                
-                # Process results
-                successful_queries = 0
-                for query_key, result in results:
-                    if result is not None:
-                        queryResults[query_key] = result
-                        successful_queries += 1
-                        logger.info(f"{query_key} query executed successfully")
-                        await event_manager.emit_event(
-                            workflowId,
-                            "progress",
-                            f"Abfrage '{query_key}' erfolgreich ausgeführt",
-                            "query_execution",
-                            {"queryKey": query_key}
-                        )
-                
-                await event_manager.emit_event(
-                    workflowId,
-                    "progress",
-                    f"{successful_queries} von {len(allQueries)} Abfragen erfolgreich ausgeführt",
-                    "query_execution",
-                    {"successful": successful_queries, "total": len(allQueries)}
-                )
-                
+                result_dict = await connector.executeQuery(sql_query, return_json=True)
                 await connector.close()
-            except Exception as e:
-                logger.error(f"Error executing queries: {e}")
-                queryResults["error"] = f"Error executing queries: {str(e)}"
                 
-                await event_manager.emit_event(
-                    workflowId,
-                    "error",
-                    f"Fehler beim Ausführen der Abfragen: {str(e)}",
-                    "query_execution"
-                )
+                if result_dict and not result_dict.get("text", "").startswith(("Error:", "Query failed:")):
+                    queryResults["main"] = result_dict.get("text", "")
+                    queryData["main"] = result_dict.get("data", [])
+                    logger.info(f"Query executed successfully, returned {len(queryData.get('main', []))} rows")
+                else:
+                    error_text = result_dict.get("text", "Query failed") if result_dict else "Query failed: No response"
+                    queryResults["error"] = error_text
+                    logger.error(f"Query failed: {error_text}")
+                    
+                    # If query failed and we need Excel update, try to extract article numbers from Excel and retry
+                    if needsExcelFile and excelAction == "update" and has_uploaded_files and "ExcelFile" in error_text:
+                        logger.warning("Query failed due to ExcelFile table reference. Attempting to extract article numbers from Excel file and retry...")
+                        # The AI should have extracted article numbers, but if query failed, we can't proceed
+                        # Log the issue for debugging
+                        logger.error("Cannot proceed with Excel update: SQL query references non-existent ExcelFile table. AI should extract article numbers directly.")
+            except Exception as e:
+                logger.error(f"Error executing query: {e}")
+                queryResults["error"] = f"Error executing query: {str(e)}"
         
-        # Check if workflow was stopped after query execution
-        if await _check_workflow_status(interfaceDbChat, workflowId, event_manager):
-            return
-        
-        # Step 3: Execute web research if needed
+        # Step 2.5: Web Research (simplified)
         webResearchResults = ""
         if needsWebResearch:
-            logger.info("Step 3: Performing web research...")
-            
+            logger.info("Performing web research...")
             try:
                 researchResult = await services.web.performWebResearch(
                     prompt=userInput.prompt,
